Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003455TestLinkAPI - XMLRPCpublic2010-05-13 15:302010-07-02 18:36
Reporterrtessier 
Assigned Tofman 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 4 
Fixed in Version1.9 Beta 5 
Summary0003455: Missing status string for INVALID_STATUS error.
DescriptionIn the TestlinkXMLRPCServer::checkStatus method, the INVALID_STATUS error is missing the status string.

I've attached a diff file with the local fix I made.
Steps To ReproduceCall the TestlinkXMLRPCServer::reportTCResult method with an invalid status.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filestxt file icon diff.txt [^] (559 bytes) 2010-05-13 15:30 [Show Content]

- Relationships
related to 0003456closedfman Missing version parameter for PARAMETER_NOT_INT error. 

-  Notes
(0009996)
fman (administrator)
2010-05-13 16:19

please indicate what is the language with problems
(0009998)
rtessier (reporter)
2010-05-13 16:51

The problem occurs with the en_GB locale.
(0010001)
fman (administrator)
2010-05-13 18:30

after looking to diff file issue becomes clear, what is missing is the STATUS CODE
(0010003)
fman (administrator)
2010-05-13 19:36

use attached fix on related issue
(0010514)
fman (administrator)
2010-07-02 18:36

1.9 Beta 5 released

- Issue History
Date Modified Username Field Change
2010-05-13 15:30 rtessier New Issue
2010-05-13 15:30 rtessier File Added: diff.txt
2010-05-13 16:19 fman Note Added: 0009996
2010-05-13 16:51 rtessier Note Added: 0009998
2010-05-13 18:30 fman Note Added: 0010001
2010-05-13 18:39 fman Assigned To => fman
2010-05-13 18:39 fman Status new => assigned
2010-05-13 19:24 fman Status assigned => resolved
2010-05-13 19:24 fman Fixed in Version => 1.9 Beta 5
2010-05-13 19:24 fman Resolution open => fixed
2010-05-13 19:35 fman Relationship added related to 0003456
2010-05-13 19:36 fman Note Added: 0010003
2010-07-02 18:36 fman Note Added: 0010514
2010-07-02 18:36 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker